#
# rgy_backup_scrubber.pl - perl script to clean out registry data
# backup snapshots older than n days old (default = 3 days)
#
# ------------------------------------------------------------------
# | Copyright Unpublished, Atria Software, Inc.  All Rights        |
# | Reserved.  This software contains proprietary and confidential |
# | information of Atria and its suppliers.  Use, disclosure or    |
# | reproduction is prohibited without the prior express written   |
# | consent of Atria.                                              |
# ------------------------------------------------------------------
#

#
# remove all snapshot files over $DAYS old 
#
$DAYS=3 ;

chdir "$ARGV[0]" || die "Can not chdir into $ARGV[0]: $! \n" ;
opendir(DIR, ".");
while ($nextfile = readdir(DIR)) {
    if (($nextfile eq ".") || ($nextfile eq "..")) {
        next;
    }
    if (-M $nextfile > $DAYS) {
	unlink($nextfile) || warn "Unable to delete $nextfile: $! \n";
    }
}
closedir(DIR);
__END__
